//
//  API+Auth.swift
//  TraccarClient
//
//  Created by George Makhoul on 29/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//
import Alamofire
import Foundation

extension NetworkRequest {
    // MARK: - Signin
    func signin(params: Parameters, force: Bool = false , _ completion: @escaping ResultClosure) {
        var parameters: Parameters = params
        if force == true {
            parameters.add("force", true)
        }
        request(endpoint: endpoint(.signin), method: .post, params: parameters) { result in
                let saveUser: Bool = result.success
                let user = SignInModel(result.object, saveUser: saveUser)
                result.data = user
                print(result)
                completion(result)
        }
    }
    func logout(_ completion: @escaping ResultClosure) {
        request(endpoint: endpoint(.logout), method: .post) { result in
            if result.success {
                SignInModel.clearUserFromUserDefaults()
                UserModel.clearUserFromUserDefaults()
                DeviceModel.clearUserFromUserDefaults()
            }
            completion(result)
        }
    }
    func check(_ completion: @escaping ResultClosure) {
        request(endpoint: endpoint(.check), method: .get) { result in
            completion(result)
        }
    }
}

