//
//  API+Permissions.swift
//  TraccarClient
//
//  Created by George Makhoul on 06/11/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Alamofire
import Foundation

extension NetworkRequest {
    // MARK: - Signin
    func permissions(_ completion: @escaping ResultClosure) {
        request(endpoint: endpoint(.permissions), method: .get) { result in
            let save: Bool = result.success
            let permissions = PermissionsModel(result.object, save: save)
            result.data = permissions
            print(result)
            completion(result)
        }
    }
    
    func parameters(_ completion: @escaping ResultClosure) {
        request(endpoint: endpoint(.parameters), method: .get) { result in
            let save: Bool = result.success
            let parameters = TrackingParametersModel(result.object, save: save)
            result.data = parameters
            print(result)
            completion(result)
        }
    }
}
