//
//  AppManager.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit

let app = AppManager.si

enum KNEnvironment {
    case sandbox
    case development
    case production
}

final class AppManager {
    
    // MARK: - Init
    static let si = AppManager()
    
    private init() {
        //
    }
    
    // MARK: - Logs
    var logsAreEnabled: Bool {
        environment == .production ? true : true
    }
    
    // MARK: - Request
    var useShortLogsForRequests = false //true
    var logRequest: [Endpoint] = [
        .all,
        .signin
    ]
    
    // MARK: - Data
    var environment: KNEnvironment = .production
    var delegate: AppDelegate!
    var isUpdatingProfile: Bool = false
    var isLoggedIn: Bool {
        if let _ = UserDefaults.standard.string(forKey: Keys.User.access_token) {
            return true
        }
        return false
    }
    
//    func saveToUserDefaults(model: UserModel) {
//        let ud = UserDefaults.standard
//        
//        ud.set(model.id, forKey: Keys.User.id)
//        ud.set(model.user_type, forKey: Keys.User.user_type)
//        ud.set(model.access_token, forKey: Keys.User.access_token)
//        ud.set(model.refresh_token, forKey: Keys.User.refresh_token)
//        ud.set(model.picture, forKey: Keys.User.picture)
//        ud.set(model.full_name, forKey: Keys.User.fullName)
//        ud.set(model.phone, forKey: Keys.User.phone)
//        ud.set(model.prefix, forKey: Keys.User.prefix)
//        ud.set(model.is_document_completed, forKey: Keys.User.is_document_completed)
//        ud.set(model.is_bank_completed, forKey: Keys.User.is_bank_completed)
//        ud.set(model.is_warehouse_added, forKey: Keys.User.is_warehouse_added)
//        ud.set(model.is_account_type_pending, forKey: Keys.User.is_account_type_pending)
//        ud.set(model.account_type, forKey: Keys.User.account_type)
//    }
}
