//
//  KNFieldBuilder.swift
//  traccar
//
//  Created by iOS Developer on 2/7/22.
//

import Foundation
import UIKit

enum KNLableStyle {
    case simple
    case colored_text
}

final class KNFieldBuilder {
    
    // MARK: - Properties
    var tag: KNFieldTag = .none
    var type: KNFieldType = .empty
    var field: JSONField = .none
    var isRequired: Bool = false
    
    var title: String = ""
    var value: String = ""
    var error: String = ""
    var info: String = ""
    var action: KNButtonViewAction = .tap
    var style: KNButtonViewStyle = .simple

    var height: CGFloat = .automatic
            
    var enabled: Bool = true
    var editable: Bool = true
    var hidden: Bool = false
    
        
    var labelStyle: KNLableStyle = .simple
    var allignment: NSTextAlignment = .natural
    var placeholder: String = ""

    // MARK: - Init
    init() {
        
    }
}
