//
//  KNComponentView.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit

class KNComponentView: UIView {
    
    // MARK: - Init
    required init(coder aDecoder: NSCoder) {
        super.init(coder: aDecoder)!
        
        setupNib()
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        
        setupNib()
    }
    
    func setupNib() {
        let bundle = Bundle(for: type(of: self))
        
        guard let view = bundle.loadNibNamed(Self.name, owner: self, options: nil)?.first as? UIView else { return }
        
        addSubview(view)
    }
}
