//
//  DeviceModel.swift
//  TraccarClient
//
//  Created by George Makhoul on 29/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
final class DeviceModel: KNObject {
    
    // MARK: - Properties
    var name: String = ""
    var uniqueId: String = ""
    var status: String = ""
    
    // MARK: - Init
    override init() {
        super.init()
    }
    
    init(_ dict: JSON, saveUser: Bool = false) {
        super.init()
        name = dict["name"] as? String ?? ""
        uniqueId = dict["uniqueId"] as? String ?? ""
        status = dict["status"] as? String ?? ""
        
        if saveUser {
            saveToUserDefaults()
        }
    }
    //MARK: - Methods
    private func saveToUserDefaults() {
        let ud = UserDefaults.standard
        ud.set(name, forKey: Keys.User.deviceName)
        ud.set(uniqueId, forKey: Keys.User.uniqueId)
        ud.set(status, forKey: Keys.User.status)
    }
    
    class func loadFromUserDefaults() -> DeviceModel {
        let ud = UserDefaults.standard
        var params: PARAMS = [:]
        
        if let deviceName = ud.value(forKey: Keys.User.deviceName) as? String {
            params.add(key: .name, deviceName)
        }
        if let uniqueId = ud.value(forKey: Keys.User.uniqueId) as? String {
            params.add(key: .uniqueId, uniqueId)
        }
        if let status = ud.value(forKey: Keys.User.status) as? String {
            params.add(key: .status, status)
        }
        return DeviceModel(params)
    }
    
    class func clearUserFromUserDefaults() {
        let ud = UserDefaults.standard
        
        ud.removeObject(forKey: Keys.User.deviceName)
        ud.removeObject(forKey: Keys.User.uniqueId)
        ud.removeObject(forKey: Keys.User.status)

    }
}
