//
//  JSONField.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//


import Foundation

enum JSONField: String {
    case none
    
    case app_errors = "app_errors"
    case field_errors = "errors"
    case display_errors = "display_errors"
    
    case access_token = "token"
    case refresh_token = "refresh_token"
    case picture = "picture"
    case id
    case results
    case user
    case device
    case email
    case password
    case name
    case phone
    case prefix
    case user_type
    case account_type
    case uniqueId
    case status
    
    case country
    case governorate
    case area
    case instagram
    case swift
    case weight
    case height
    case bio
    case website
    case avatar
    case cover
    case designation_id
    case product_name_en = "name_en"
    case product_name_ar = "name_ar"
    case product_type = "type"
    case product_description_en = "description_en"
    case product_description_ar = "description_ar"
    case product_comment_en = "comment_en"
    case product_comment_ar = "comment_ar"
    case product_occasion = "occasion"
    case product_key_features_en = "key_features_en"
    case product_key_features_ar = "key_features_ar"
    case can_be_customized
    case web_media
    
    case category
    case level1
    case level2
    case level3
    
    case brand
    case length
    case width
    
    case price
    case on_sale
    case sale_price
    case sale_start_date
    case sale_end_date
    case quantity
    case sku
    case size
    case variant_name
    case color
    case variants
    case variant
    
    case account
    case option
    case confirm_password
    case code
    case domain
    case username = "username"
    case business = "business_name"
    case dynamicSpace
    case old_password
    case province
    case city_name
    case street_1
    case street_2
    case zip
    case block
    case avenue
    case building
    case floor
    case unit
    case iban
    case bank
    case civil_number
    case civil_name
    case civil_front
    case civil_back
    case trading_licence
    case signature
    case details
    case subject
    case message
    case fName = "first_name"
    case lName = "last_name"
    case gender
    case birthday = "birth_date"
    
    case shippings = "shipping_by"
    case locations = "locations"
    case location = "location"
    case one_item_price = "one_item_price"
    case additional_item_price = "additional_item_price"
    case addresses = "address"
    case processing_times = "processing_time"
    case freeShipping = "free_shipping"
    case authBusiness = "business"
    case handling_fees
    
    case can_be_returned
    case return_terms
    
    case activity = "activity"
    
    case sameAddress
    case billingAddress
    case is_bank_completed
    case is_document_completed
    case is_warehouse_added
    case is_account_type_pending
    
    case is_public
    case partner_sku
    
    case shipping_address_name
    case shipping_address_country
    case shipping_address_block
    case shipping_address_street_1
    case shipping_address_details
    case shipping_address_avenue
    case shipping_address_floor
    case shipping_address_building
    case shipping_address_province
    case shipping_address_city_name
    case shipping_address_zip
    case shipping_address_street_2
    case shipping_address_phone
    case shipping_address_prefix
    case shipping_address_governorate
    case shipping_address_area
    case shipping_address_unit
    case shipping_address_email
    case shipping_address_first_name
    case shipping_address_last_name
    
    case billing_address_name
    case billing_address_province
    case billing_address_block
    case billing_address_street_1
    case billing_address_street_2
    case billing_address_avenue
    case billing_address_building
    case billing_address_floor
    case billing_address_unit
    case billing_address_prefix
    case billing_address_phone
    case billing_address_country
    case billing_address_phone_number
    case billing_address_city_name
    case billing_address_zip
    case billing_address_details
    case billing_address_governorate
    case billing_address_area
    case billing_address_email
    case billing_address_first_name
    case billing_address_last_name
    case reason
    
    case favourites_count
    case notification_count
    case my_follower_count
    case my_following_count
    case basket_items_count
    
    case signup_checkbox
    case full_name
    
    case categories
    case updateSettings = "user_can_update_his_settings"
    case autoTracking = "turn_on_tracking_automatically"
    case frequency = "frequency_in_seconds"
    case distance = "distance_in_meters"
    case angle = "angle_in_degrees"
    case offline_buffering = "offline_buffering"
    case accuracy = "accuracy"
}
