//
//  LeaderNavigationView.swift
//  TraccarClient
//
//  Created by George Makhoul on 24/01/2024.
//  Copyright © 2024 Traccar. All rights reserved.
//

import UIKit
protocol LeaderNavigationViewDelegate {
    func back()
}

class LeaderNavigationView: KNComponentView {
    // MARK: - Outlet
    @IBOutlet private var view: UIView!
    @IBOutlet weak var backButton: UIButton!
    
    // MARK: - Properties
    var delegate: LeaderNavigationViewDelegate?
    
    // MARK: - Lifecycle
    override func setupNib() {
        super.setupNib()
        
        view.frame = bounds
        view.autoresizingMask = [.flexibleHeight, .flexibleWidth]
        backButton.setTitle("", for: .normal)
        
    }
    
    @IBAction func backPressed(_ sender: UIButton) {
        delegate?.back()
    }
}
