//
//  LoginDataProvider.swift
//  TraccarClient
//
//  Created by George Makhoul on 26/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit

final class LoginDataProvider {
    // MARK: - Properties
    private var fields: [KNField] = []
    
    // MARK: - Methods
     func signinData() -> [KNField] {
         let domain = KNField { field in
             field.field = .domain
             field.isRequired = true
             field.type = .text
         }
         
        let email = KNField { field in
            field.field = .username
            field.isRequired = true
            field.type = .text
        }
        
        let password = KNField { field in
            field.field = .password
            field.isRequired = true
            field.type = .text
        }
         
         let space = KNField { field in
             field.type = .empty
             field.height = 20
         }
         
         let loginButton = KNField { field in
             field.type = .button
             field.title = "Login"
             field.action = .tap
             field.height = 51
         }
         
         let space1 = KNField { field in
             field.type = .empty
             field.height = 20
         }
         
         let leaderLogin = KNField { field in
             field.type = .button
             field.style = .transparent
             field.title = "Login as a Leader"
             field.action = .loginAsLeader
             field.height = 51
         }
        
        fields = [
            domain,
            email,
            password,
            space,
            loginButton,
        ]
         
         if showLeaderButton == true {
             fields.append(space1)
             fields.append(leaderLogin)
         }
        return fields
    }
}
