//
//  Network+Error.swift
//  traccar
//
//  Created by George Makhoul on 10/25/23.
//

import Foundation
import UIKit
import Alamofire
final class NetworkError: NSObject, Error {
    
    enum Typee {
        case none
        case general
        case noInternet
        
        case badRequest
        case unauthorized
        case notFound
        case serverDown
        
        case INVALID_ACCESS_TOKEN
        case INVALID_REFRESH_TOKEN
    }
    
    // MARK: - Properties
    private(set) var message: String = ""
    var type: NetworkError.Typee = .none
    
    var error: AFError?
    
    // MARK: - Init
    override init() {
        super.init()
    }
    
    init(request: AFError) {
        self.error = request
    }
    
    init(_ message: String, _ type: NetworkError.Typee = .none) {
        self.message = message
        self.type = type
    }
    
    init(_ type: NetworkError.Typee = .none) {
        self.type = type
        
        if type == .noInternet {
            message = String.API.noInternetConnection
        }
    }
}

