//
//  SecurityManager.swift
//  TraccarClient
//
//  Created by George Makhoul on 24/01/2024.
//  Copyright © 2024 Traccar. All rights reserved.
//

import Foundation
import LocalAuthentication

class SecurityManager {
    
    private static let service = "traccar23"
    private static let account = "traccar24"
    
    static let shared = SecurityManager()
    
    private init() {}
    
    func saveToken(_ token: String) {
        let access = SecAccessControlCreateWithFlags(nil, kSecAttrAccessibleWhenPasscodeSetThisDeviceOnly, .userPresence, nil)
        SecItemAdd([
            kSecClass: kSecClassGenericPassword,
            kSecAttrService: SecurityManager.service,
            kSecAttrAccount: SecurityManager.account,
            kSecAttrAccessControl: access as Any,
            kSecValueData: Data(token.utf8),
        ] as CFDictionary, nil)
    }
    
    func readToken() -> String? {
        var result: AnyObject?
        SecItemCopyMatching([
            kSecAttrService: SecurityManager.service,
            kSecAttrAccount: SecurityManager.account,
            kSecClass: kSecClassGenericPassword,
            kSecReturnData: true
        ] as CFDictionary, &result)
        if let data = result as? Data {
            return String(data: data, encoding: .utf8)
        }
        return nil
    }
    
    func deleteToken() {
        SecItemDelete([
            kSecAttrService: SecurityManager.service,
            kSecAttrAccount: SecurityManager.account,
            kSecClass: kSecClassGenericPassword,
        ] as CFDictionary)
    }

}
