//
//  SettingsLogoutTableViewCell.swift
//  TraccarClient
//
//  Created by George Makhoul on 02/11/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit
protocol SettingsLogoutTableViewCellDelegate {
    func logout()
}

class SettingsLogoutTableViewCell: KNTableViewCell {
    // MARK: - Outlets
    @IBOutlet weak var iconImage: UIImageView!
    @IBOutlet weak var titleLabel: UILabel!
    
    // MARK: - Properties
    var delegate: SettingsLogoutTableViewCellDelegate?
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
        titleLabel.set(text: "", color: .main, font: .bold(16))
        iconImage.set(icon: .logout)
    }
    
    @IBAction func logoutTapped(_ sender: UIButton) {
        delegate?.logout()
    }
    
    func set(title: String) {
        titleLabel.set(text: title)
    }
}
