//
//  SettingsPrivacyPolicyTableViewCell.swift
//  TraccarClient
//
//  Created by George Makhoul on 18/01/2024.
//  Copyright © 2024 Traccar. All rights reserved.
//

import UIKit
protocol SettingsPrivacyTableViewCellDelegate {
    func showPrivacy()
}
final class SettingsPrivacyPolicyTableViewCell: KNTableViewCell {
    // MARK: - Outlets
    @IBOutlet weak var iconImage: UIImageView!
    @IBOutlet weak var titleLabel: UILabel!
    
    // MARK: - Properties
    var delegate: SettingsPrivacyTableViewCellDelegate?
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
        titleLabel.set(text: "", color: .main, font: .bold(16))
        iconImage.set(icon: .privacy)
    }
    @IBAction func showPrivacy(_ sender: UIButton) {
        delegate?.showPrivacy()
    }
    
    func set(title: String) {
        titleLabel.set(text: title)
    }
}
