//
//  SettingsResetTableViewCell.swift
//  TraccarClient
//
//  Created by George Makhoul on 06/02/2024.
//  Copyright © 2024 Traccar. All rights reserved.
//

import UIKit
protocol SettingsResetTableViewCellDelegate {
    func reset()
}

class SettingsResetTableViewCell: UITableViewCell {
    
    @IBOutlet weak var iconImage: UIImageView!
    @IBOutlet weak var titleLabel: UILabel!
    
    // MARK: - Properties
    var delegate: SettingsResetTableViewCellDelegate?
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
        titleLabel.set(text: "", color: .main, font: .bold(16))
        iconImage.set(icon: .reset)
    }
    
    @IBAction func logoutTapped(_ sender: UIButton) {
        delegate?.reset()
    }
    
    func set(title: String) {
        titleLabel.set(text: title)
    }
    
}
