//
//  DefaultsModel.swift
//  TraccarClient
//
//  Created by George Makhoul on 31/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit

struct DefaultsModel: Equatable {
    
    var title: String = ""
    var value: Any?
    var key: String = ""
    var keyboardType: UIKeyboardType = .default
    
    static func == (lhs: DefaultsModel, rhs: DefaultsModel) -> Bool {
        guard lhs.title == rhs.title,
              lhs.key == rhs.key else {
            return false
        }
        
        // Compare `value` property
        switch (lhs.value, rhs.value) {
        case let (lhs as String, rhs as String):
            return lhs == rhs
        case let (lhs as Bool, rhs as Bool):
            return lhs == rhs
        default:
            return false
        }    }
    
    init() {
        
    }
    
    init(title: String, value: Any, keyboardType: UIKeyboardType, key: String) {
        self.title = title
        self.value = value
        self.keyboardType = keyboardType
        self.key = key
        
    }
}
