//
//  TransactionTableViewCell.swift
//  TraccarClient
//
//  Created by George Makhoul on 31/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit

class TransactionTableViewCell: KNTableViewCell {
    // MARK: - Outlets
    @IBOutlet weak var descLabel: UILabel!
    @IBOutlet weak var statusIcon: UIImageView!
    
    // MARK: - Properties
    
    // MARK: - LifeCycle
    override func awakeFromNib() {
        super.awakeFromNib()
        setupUI()
    }
    
    private func setupUI() {
        descLabel.set(text: "", color: .main, font: .semibold(16))
        statusIcon.set(icon: UIImage())
    }
    
    func set(status: String) {
        descLabel.set(text: status)
        
        if status.contains("created") || status.contains("changed"){
            statusIcon.set(icon: .thumbsup)
        }
        if status.contains("update") {
            statusIcon.set(icon: .updated)
        }
        if !status.contains("update") && !status.contains("created") && !status.contains("changed") {
            statusIcon.set(icon: .thumbsDown)
        }
        
    }
}
