//
//  UIImageView.swift
//  TraccarClient
//
//  Created by George Makhoul on 31/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import UIKit

extension UIImageView {
    
    // MARK: - Set Icon
    func set(icon: UIImage) {
        image = icon
        contentMode = .center
        clipsToBounds = false
    }
    
    func set(aspectFill: UIImage) {
        image = aspectFill
        contentMode = .scaleAspectFill
        clipsToBounds = false
    }
    
    func set(toFit: UIImage) {
        image = toFit
        contentMode = .scaleAspectFit
        clipsToBounds = false
    }
    
    func set(toFill: UIImage) {
        image = toFill
        contentMode = .scaleToFill
        clipsToBounds = true
    }
}
