//
//  UIInt.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation

extension Int {
    
    // MARK: - API Status Code
    var isOk: Bool {
        let okCodes = [
            200, 201, 204
        ]
        
        return okCodes.contains(self)
    }
    
    var isError: Bool {
        let errorCodes = [
            400, 401, 403, 404
        ]
        
        return errorCodes.contains(self)
    }
    
    var isCritical: Bool {
        let criticalCodes = [
            500
        ]
        
        return criticalCodes.contains(self)
    }
}
