//
//  UIString.swift
//  TraccarClient
//
//  Created by George Makhoul on 25/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation

extension String {
    
    struct API {
        static let error = "Error"
        static let baseError = "Something went wrong. Please try again later!"
        static let somethingWentWrong = "Something went wrong."
        static let noInternetConnection = "No internet connection!"
        static let serverIsNotResponding = "Server is not responding!"
    }
    
    // MARK: - toChar
    func toChar() -> Character {
        Character(self)
    }
    
    // MARK: - Validate E-Mail
    var isValidEmail: Bool {
        let emailRegEx = "[A-Z0-9a-z._%+-]+@[A-Za-z0-9.-]+\\.[A-Za-z]{2,64}"
        
        let emailPredicate = NSPredicate(format:"SELF MATCHES %@", emailRegEx)
        return emailPredicate.evaluate(with: self)
    }
}
