//
//  UITextField.swift
//  TraccarClient
//
//  Created by George Makhoul on 31/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit

extension UITextField {
    func setForEnglighs(localizedPlaceholder: String, color: UIColor, font: UIFont) {
        let paragraph = NSMutableParagraphStyle()
        paragraph.alignment = .left
        
        let attributes: [NSAttributedString.Key : Any] = [
            .foregroundColor: color,
            .font: font,
            .paragraphStyle: paragraph
        ]
        
        let range = NSString(string: localizedPlaceholder).range(of: localizedPlaceholder)
        let attributedString = NSMutableAttributedString(string: localizedPlaceholder)
        attributedString.addAttributes(attributes, range: range)
        
        attributedPlaceholder = attributedString
    }
}
