//
//  UITextView.swift
//  TraccarClient
//
//  Created by George Makhoul on 29/10/2023.
//  Copyright © 2023 Traccar. All rights reserved.
//

import Foundation
import UIKit
extension UITextView {
    func height() -> CGFloat {
        if text.isEmpty {
            return 0
        }
        
        let textView = UITextView(frame: CGRect(x: 0, y: 0, width: frame.width, height: .greatestFiniteMagnitude))
        textView.isHidden = true
        textView.isEditable = false
        textView.isSelectable = false
        textView.isScrollEnabled = false
        textView.textContainerInset = .zero
        textView.textContainer.lineFragmentPadding = 0
        textView.text = text
        textView.font = font
        textView.sizeToFit()
        
        return textView.contentSize.height
    }
}
